Saltstack存在多个高危漏洞,可导致远程代码执行

  • A+
所属分类:安全漏洞

一、基本情况


2月25日,Saltstack发布安全更新公告,修复了Saltstack组件存在命令注入、远程代码执行等共计10个漏洞,其中,CVE-2021-3197、CVE-2021-25281、CVE-2021-25283、CVE-2020-35662、CVE-2021-3144、CVE-2020-28972、CVE-2020-28243为高危漏洞,漏洞影响较大,最严重的可导致远程代码执行。建议受影响用户及时升级最新版本进行防护,做好资产自查以及预防工作,以免遭受黑客攻击。


二、漏洞描述


SaltStack是基于Python开发的一套C/S架构配置管理工具,是一个服务器基础架构集中化管理平台。


其中7个高危漏洞详情如下:


1. CVE-2021-3197


该漏洞存在于SSH模块的SaltStack服务器中,攻击者可通过Salt-API的SSH功能接口使用SSH命令的ProxyCommand参数进行shell命令注入。


2. CVE-2021-25281


该漏洞存在于SaltStack SaltAPI中,由于wheel_async模块未正确处理身份验证请求,攻击者可利用该模块执行任意python代码。


3. CVE-2021-25283


该漏洞存在于SaltStack jinja模块中。由于salt.wheel.pillar_roots.write函数在写入操作时,将存在恶意代码的模板文件写入特定位置,在请求相关页面时触发jinja引擎渲染导致代码执行。


4. CVE-2020-35662


该漏洞是由于SaltStack默认情况下未能正确验证SSL证书。


5. CVE-2021-3144


该漏洞是由于eauth令牌在过期后仍可以使用一次。


6. CVE-2020-28972


该漏洞由于VMware模块代码库无法验证服务器的SSL/TLS证书,攻击者可通过中间人攻击获取敏感信息。


7. CVE-2020-28243


该漏洞存在于SaltStack Minion模块中,当普通用户能够通过进程名称中的命令注入而能够在任何未列入黑名单的目录中创建文件时,SaltStack的Minion可获取权限提升。


三、影响范围


SaltStack <=3002.2


SaltStack <=3001.4


SaltStack <=3000.6


四、安全建议


建议受影响用户将SaltStack升级到3002.3, 3001.5, 3000.7及以上的安全版本。


五、参考链接


https://saltproject.io/security_announcements/active-saltstack-cve-release-2021-feb-25/


支持单位:


深信服科技股份有限公司


北京天融信网络安全技术有限公司


Saltstack存在多个高危漏洞,可导致远程代码执行


文章来源:网络安全威胁和漏洞信息共享平台


Saltstack存在多个高危漏洞,可导致远程代码执行

本文始发于微信公众号(互联网安全内参):Saltstack存在多个高危漏洞,可导致远程代码执行

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: